zdma: xzdma_readonlymode_example.c File Reference

| zdma Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions | Variables
xzdma_readonlymode_example.c File Reference

## Overview

This file contains the example using XZDma driver to do simple data read on ZDMA device.

    MODIFICATION HISTORY:

    Ver   Who     Date     Changes

    1.0   vns     2/27/15  First release
          ms      04/05/17 Modified comment lines notation in functions to
                           avoid unnecessary description to get displayed
                           while generating doxygen and also changed filename
                           tag to include the file in doxygen examples.
    1.3   mus    08/14/17  Do not perform cache operations if CCI is enabled
    1.4   adk    11/02/17  Updated example to fix compilation errors for IAR
                     compiler.

## Macros
#define | ZDMA_INTC_DEVICE_ID XPAR_SCUGIC_SINGLE_DEVICE_ID
| SCUGIC Device ID. More...
#define | ZDMA_INTR_DEVICE_ID XPAR_XADMAPS_0_INTR
| ZDMA Interrupt Id. More...
#define | SIZE 100
| Size of the data to be transferred. More...

## Functions
int | XZDma_SimpleReadOnlyExample (u16 DeviceId)
| This function does a test of the data transfer in simple mode of read only mode on the ZDMA driver. More...
int | main (void)
| Main function to call the example. More...

## Variables
XZDma | ZDma
| Instance of the ZDMA Device. More...
XScuGic | Intc
| XIntc Instance. More...
u32 | SrcBuf [256]
| Source buffer. More...
u8 | Done = 0
| Done flag. More...

## Macro Definition Documentation

#define SIZE 100

Size of the data to be transferred.

Referenced by XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

#define ZDMA_INTC_DEVICE_ID XPAR_SCUGIC_SINGLE_DEVICE_ID

SCUGIC Device ID.

#define ZDMA_INTR_DEVICE_ID XPAR_XADMAPS_0_INTR

ZDMA Interrupt Id.

Referenced by XZDma_SimpleReadOnlyExample().

## Function Documentation

int main | ( | void |  | ) |

Main function to call the example.

Returns
  - XST_SUCCESS if successful.
  - XST_FAILURE if failed.

Note
  None.

References XZDma_SimpleReadOnlyExample().

int XZDma_SimpleReadOnlyExample | ( | u16 | DeviceId | ) |

This function does a test of the data transfer in simple mode of read only mode on the ZDMA driver.

Parameters

  DeviceId | is the XPAR_<ZDMA Instance>_DEVICE_ID value from xparameters.h.

Returns
  - XST_SUCCESS if successful.
  - XST_FAILURE if failed.

Note
  None.

References XZDma_Config::BaseAddress, Done, XZDma_Transfer::DstAddr, XZDma_DataConfig::DstBurstLen, XZDma_DataConfig::DstBurstType, XZDma_DataConfig::DstCache, XZDma_Transfer::DstCoherent, Intc, XZDma_Config::IsCacheCoherent, XZDma_DataConfig::OverFetch, XZDma_Transfer::Pause, SIZE, XZDma_Transfer::Size, XZDma_Transfer::SrcAddr, SrcBuf, XZDma_DataConfig::SrcBurstLen, XZDma_DataConfig::SrcBurstType, XZDma_DataConfig::SrcCache, XZDma_Transfer::SrcCoherent, XZDma_DataConfig::SrcIssue, XZDma_CfgInitialize(), XZDma_EnableIntr, XZDMA_HANDLER_DONE, XZDMA_INCR_BURST, XZDMA_IXR_DMA_DONE_MASK, XZDma_LookupConfig(), XZDMA_RDONLY_MODE, XZDma_SelfTest(), XZDma_SetCallBack(), XZDma_SetChDataConfig(), XZDma_SetMode(), XZDma_Start(), and ZDMA_INTR_DEVICE_ID.

Referenced by main().

## Variable Documentation

u8 Done = 0

Done flag.

XScuGic Intc

XIntc Instance.

u32 SrcBuf | ( |  | ) |

Source buffer.

Referenced by XZDma_LinearExample(), XZDma_LinkedListExample(), XZDma_SimpleReadOnlyExample(), and XZDma_WriteOnlyExample().

XZDma ZDma

Instance of the ZDMA Device.